Part Point: Difference between revisions

From FreeCAD Documentation
mNo edit summary
Line 27: Line 27:


<!--T:4-->
<!--T:4-->
# There are several ways to invoke the command:
# Switch to the [[Image:Workbench_Part.svg|24px]] [[Part_Workbench|Part Workbench]]
#* Press the {{Button|[[Image:Part_Primitives.svg|16px]] [[Part Primitives|Create Primitives...]]}} button.
# The Create Primitives dialogue can be accessed several ways:
#* Pressing the [[Image:Part_Primitives.svg|24px]] [[Part_Primitives|Primitives]] icon located in the Part toolbar
#* Select the {{MenuCommand|Part → Create Primitives → [[Image:Part_Primitives.svg|16px]] Create Primitives...}} option from the menu.
#* Using the {{MenuCommand|Part → [[Part_Primitives|Create primitives]] Point}} menu
#* Select the {{MenuCommand|[[Image:Part_Point.svg|16px]] Point}} option from the menu.
# Set options and press {{Button|Create}}.
# To close the dialog press {{Button|Close}}.


===Geometric Primitives=== <!--T:5-->
===Geometric Primitives=== <!--T:5-->
Line 60: Line 62:
* {{PropertyData|Z}} :
* {{PropertyData|Z}} :
|}
|}



==Notes==
==Notes==

Revision as of 05:06, 20 February 2022

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Part Point

Menu location
Part → Create primitives → Point
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

A Point (vertex) geometric primitive.

Usage

  1. There are several ways to invoke the command:
    • Press the Create Primitives... button.
    • Select the Part → Create Primitives → Create Primitives... option from the menu.
    • Select the Point option from the menu.
  2. Set options and press Create.
  3. To close the dialog press Close.

Geometric Primitives

Point

Parameter

  • X
  • Y
  • Z

Location

Property

View

Data

Base

  • DataLabel:
  • DataPlacement: placement
  • DataX :
  • DataY :
  • DataZ :

Notes

Properties

Limitations

Scripting

A Part Point can be created with the following function:

point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
  • Where "myPoint" is the name for the object.
  • The function returns the newly created object.

The name of the object can be easily changed by

point.Label = "new pointName"

You can access and modify attributes of the point object. For example, you may wish to modify the x, y or z coordinate.

point.X = 1
point.Y = 2
point.Z = 3

The result will be a new location of the point with the given coordinates.

You can change its placement and orientation with:

point.Placement= FreeCAD.Placement(FreeCAD.Vector(0.00,0.00,0.00),App.Rotation(App.Vector(0.00,0.00,1.00),0.00))